Skip to main content

API Changelog - 2026-06-16: Summary

Scheme response codes are now included in declined transaction responses. Webhook notifications for declined events contain this new field as well.


POST /v1/payments — Create Payment​

The declined response body now includes paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available from the card scheme.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

POST /v1/payments/{paymentId}/increments — Increment Payment​

The declined response body now includes paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available from the card scheme.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

POST /v1/payments/{paymentId}/cancels — Cancel Payment​

The declined response body now includes paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available from the card scheme.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

POST /v1/payments/{paymentId}/refunds — Refund Payment​

The declined response body now includes paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available from the card scheme.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

POST /v1/credits — Create Credit​

The declined response body now includes paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available from the card scheme.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

GET /v1/payments — Get All Payments​

The payment response objects now include paymentMethod.scheme.responseCode in scheme details for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (data[])
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

GET /v1/payments/{paymentId} — Get Payment by ID​

The payment response object now includes paymentMethod.scheme.responseCode in scheme details for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

GET /v1/transactions — Get All Transactions​

The payment response objects now include paymentMethod.scheme.responseCode in scheme details for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body (data[])
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

GET /v1/transactions/{transactionId} — Get Transaction by ID​

The payment response object now includes paymentMethod.scheme.responseCode in scheme details for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationResponse body
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

Webhook /payment — Payment Notification​

Declined payment webhook payloads now include paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationWebhook payload (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

Webhook /increment — Increment Notification​

Declined increment webhook payloads now include paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationWebhook payload (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

Webhook /cancel — Cancel Notification​

Declined cancel webhook payloads now include paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationWebhook payload (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"

Webhook /refund — Refund Notification​

Declined refund webhook payloads now include paymentMethod.scheme.responseCode for Visa, Mastercard and Maestro payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationWebhook payload (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"14"

Webhook /credit — Credit Notification​

Declined credit webhook payloads now include paymentMethod.scheme.responseCode for Visa and Mastercard payment methods when available.

PropertyDetails
NamepaymentMethod.scheme.responseCode
LocationWebhook payload (declined)
Typestring
RequiredNo (optional)
FormatScheme response code — added
Example"05"